apiVersion: apps/v1
kind: Deployment
metadata:
  name: vast-organization-group-devs
spec:
  selector:
    matchLabels:
      app: vast-organization-group-devs
  template:
    metadata:
      labels:
        app: vast-organization-group-devs
    spec:
      containers:
      - env:
        - name: S3_GATEWAY
          value: "minio.argo.svc.cluster.local:9000"
        - name: S3_ACCESS_KEY
          value: workflowService
        - name: S3_SECRET_KEY
          valueFrom:
            secretKeyRef:
              key: workflowService
              name: minio-secret
        - name: GROUP
          value: organization-group-devs
        - name: MONGO_HOST
          value: mongo-mongodb.argo.svc.cluster.local
        - name: MONGO_PORT
          value: "27017"
        - name: MONGO_USER
          value: root
        - name: MONGO_PASS
          valueFrom:
            secretKeyRef:
              key: mongodb-root-password
              name: mongo-mongodb
        - name: MONGO_AUTHSOURCE
          value: admin
        - name: MONGO_DATABASE
          value: greece-vs-corona
        - name: MONGO_COLLECTION
          value: workflows
        - name: MYSQL_HOST
          value: mysql-lovd-organization-group-devs.default.svc.cluster.local
        - name: MYSQL_PORT
          value: "3306"
        - name: MYSQL_USERNAME
          valueFrom:
            secretKeyRef:
              key: MYSQL_USER
              name: mysql-lovd-organization-group-devs
        - name: MYSQL_PASSWORD
          valueFrom:
            secretKeyRef:
              key: MYSQL_PASSWORD
              name: mysql-lovd-organization-group-devs
        - name: MYSQL_DATABASE
          value: lovd
        - name: BUCKET_NAME
          value: uploaded-vcf
        image: registry.gitlab.com/greece-vs-corona/deployment/vast:testing
        imagePullPolicy: Always
        name: vast
        ports:
        - containerPort: 80
        volumeMounts:
        - mountPath: /app/Custom
          name: vast-organization-group-pv
      initContainers:
      - command:
        - sh
        - -c
        - mkdir -p /work-dir/Dbsnp_custom && mkdir -p /work-dir/Clinvar_custom &&
          mkdir -p /work-dir/Fasta && mkdir -p /work-dir/Vep_cache && mkdir -p /work-dir/Vep_cache
          && mkdir -p /work-dir/Vep_plugins
        image: busybox:1
        name: create-dirs
        volumeMounts:
        - mountPath: /work-dir
          name: vast-organization-group-pv
      imagePullSecrets:
      - name: gitlab-vast-registry
      securityContext:
        fsGroup: 998
        runAsGroup: 998
        runAsUser: 998
      volumes:
      - name: vast-organization-group-pv
        persistentVolumeClaim:
          claimName: vast-organization-group-devs
